<div class="row">
    <div class="col-xs-12">
        <form (ngSubmit)="onSubmit()" [formGroup]="form">
            <div class="row">
                <div class="col-sm-5 form-group">
                    <label for="name">Name</label>
                    <input
                            type="text"
                            id="name"
                            class="form-control"
                            formControlName="name"
                    >
                    <span *ngIf="!form.get('name').valid && form.get('name').touched" class="help-block">The name is required</span>
                </div>
                <div class="col-sm-2 form-group">
                    <label for="amount">Amount</label>
                    <input
                            name="amount"
                            type="text"
                            class="form-control"
                            formControlName="amount"
                    >
                    <span *ngIf="!form.get('amount').valid && form.get('amount').touched">
                        <span *ngIf="form.get('amount').errors['required'] && form.get('amount').errors['forbiddenInputOnlyNumber']"> Forbiden Input</span>
                        <span *ngIf="form.get('amount').errors['required']"> Please enter a amount</span>

                    </span>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <button type="submit" class="btn btn-success" [disabled]="!form.valid">{{editMode ? 'Update' : 'Add'}}</button>
                    <button type="button" *ngIf="editMode" class="btn btn-danger" (click)="onDelete()">Delete</button>
                    <button type="button" class="btn btn-primary" (click)="onClear()">Clear</button>
                </div>
            </div>
        </form>
    </div>
</div>